<template>

<div>

<div id="coberturaComparativa" class="charts" ref="CoberturaComparativa"></div>

</div>

</template>



<script>

import htmlToImage from "html-to-image";

import * as am4core from "@amcharts/amcharts4/core";

import * as am4charts from "@amcharts/amcharts4/charts";

import am4themes_animated from "@amcharts/amcharts4/themes/animated";

import am4themes_material from "@amcharts/amcharts4/themes/material";

import axios from "axios";



export default {

name: "CoberturaComparativa",

props: {

filtros: Object

},

data() {

return {

isShowId: true,

semanasAtras: 7

};

},

methods: {

initChartG(data) {



const self = this

// Create chart instance

var chart = am4core.create("coberturaComparativa", am4charts.XYChart);

chart.logo.hidden = true;

// Add data

chart.data = data 



chart.numberFormatter.numberFormat = "#.#";



// Create axes

var categoryAxis = chart.xAxes.push(new am4charts.CategoryAxis());

categoryAxis.dataFields.category = "semana";

categoryAxis.renderer.grid.template.location = 0;

categoryAxis.renderer.minGridDistance = 30;



var valueAxis = chart.yAxes.push(new am4charts.ValueAxis());



// Create series

var series = chart.series.push(new am4charts.ColumnSeries());

series.dataFields.valueY = "total_certificaciones";

series.dataFields.categoryX = "semana";

series.columns.template.tooltipText = "PV Certificados: {valueY}";

series.stroke = am4core.color("#fff"); // red

series.columns.template.column.adapter.add("fill", function (

fill,

target

) {

if (target.dataItem) {



if (target.dataItem.index === (data.length - 1)){

return am4core.color("#F09D38");

}else{


return am4core.color("#707070");

}

}

return fill;

});

},



getCoberturaSemanal(){

const self = this;

let url = "/franquicia/dashboard/g002/secure/grafico/get/barras/?" +

"semanasAtras="+ self.filtros.semanasAtras+"&"+

"fechaActual="+self.filtros.fechaActual+"&"+

"idNegocio="+self.filtros.idNegocio;



if (self.filtros.idGerente){

url = url + "&idGerente="+self.filtros.idGerente

}

axios

.get(

url

)

.then((response) => {

if (response) {

if (response.data.status_code === 200) {

const data = response.data.data;

if (data) {


data.forEach(element => {

element.semana = "Semana " + element.semana;

});



self.setValores(data);

}

}

}

})

.catch((error) => {

console.log(error);

});

},

setValores(data){

this.initChartG(data);

}

},

created() {

this.getCoberturaSemanal();

},

mounted() {

},

};

</script>

<style scoped>

#coberturaComparativa {

width: 100%;

height: 350px;

}

</style>